## com.google.gwt.dom.client
Class FrameSetElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.FrameSetElement

    @TagName(value="frameset")
    public class FrameSetElement

extends Element

Create a grid of frames.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `FrameSetElement()`

Method Summary
`static FrameSetElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getCols()` The number of columns of frames in the frameset.
`java.lang.String` | `getRows()` The number of rows of frames in the frameset.
`void` | `setCols(java.lang.String cols)` The number of columns of frames in the frameset.
`void` | `setRows(java.lang.String rows)` The number of rows of frames in the frameset.

Methods inherited from class com.google.gwt.dom.client.Element

`as, as, dispatchEvent, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, is, is, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameSetElement

    protected FrameSetElement()

Method Detail

### as

    public static FrameSetElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getCols

    public final java.lang.String getCols()

  The number of columns of frames in the frameset.

  See Also:
    W3C HTML Specification

### getRows

    public final java.lang.String getRows()

  The number of rows of frames in the frameset.

  See Also:
    W3C HTML Specification

### setCols

    public final void setCols(java.lang.String cols)

  The number of columns of frames in the frameset.

  See Also:
    W3C HTML Specification

### setRows

    public final void setRows(java.lang.String rows)

  The number of rows of frames in the frameset.

  See Also:
    W3C HTML Specification